Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.metaclass
[Java] Class MetaMethodIndex.Header

    java.lang.Object
      org.codehaus.groovy.runtime.metaclass.MetaMethodIndex.Header

    public static class MetaMethodIndex.Header

Field Summary
`int` | `clsHashCode31`
`Entry` | `head`
`java.lang.Class` | `subclass`

Constructor Summary
`MetaMethodIndex.Header(java.lang.Class cls)`
`MetaMethodIndex.Header(java.lang.Class cls, java.lang.Class subclass)`

Method Summary

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### clsHashCode31

    public int clsHashCode31

### head

    public Entry head

### subclass

    public java.lang.Class subclass

Constructor Detail

### MetaMethodIndex.Header

    public MetaMethodIndex.Header(java.lang.Class cls)

### MetaMethodIndex.Header

    public MetaMethodIndex.Header(java.lang.Class cls, java.lang.Class subclass)

Groovy Documentation